Bug 508512 - rescue mode is not intuitive
rescue mode is not intuitive
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firstaidkit (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Sivák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-28 03:06 EDT by Mohammed Arafa
Modified: 2010-06-28 09:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:20:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mohammed Arafa 2009-06-28 03:06:55 EDT
Description of problem:
i used the network install iso to enter rescue mode. it gave me a prompt. it dint tell me what to do to fix my problems except mount /mnt/sysimage. not all fedora end users are experienced system administrators and some need some help

Version-Release number of selected component (if applicable): 
fedora11

How reproducible:
everytime

Steps to Reproduce:
1.boot from network isntall cd
2.select rescue mode
3.
  
Actual results:
gives you a bash prompt

Expected results:
a menu that gives the end user several common options eg.
1. enable network with command line web browser
2. repair grub
3. repair bad blocks on disks
4. give command prompt (for the experience sysadmin)

Additional info:
ubuntu has such a menu

note: i selected anaconda as a package as i couldnt find rescue mode as a package
Comment 1 Martin Sivák 2009-07-17 04:07:04 EDT
We will integrate firstaidkit into the rescue mode soon. It just needs a little bit of testing. So stay tuned.
Comment 2 Martin Sivák 2009-08-04 08:06:34 EDT
The firstiadkit menu system will be present in anaconda-12.7. It still needs more plugins, but the framework is there.
Comment 3 Bug Zapper 2010-04-27 11:18:48 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 09:20:48 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.